summaryrefslogtreecommitdiff
path: root/build
diff options
context:
space:
mode:
authorWilfredo Sanchez <wsanchez@php.net>2001-04-03 19:07:32 +0000
committerWilfredo Sanchez <wsanchez@php.net>2001-04-03 19:07:32 +0000
commita0a471e7a3eca3ec17655951b3020cf32570eb36 (patch)
treefe16affcb55823e1124e0dbd50118a047c92d2d5 /build
parent8003b3aa9dbf2ca5ce15559c53c8d74130cb90fa (diff)
downloadphp-git-a0a471e7a3eca3ec17655951b3020cf32570eb36.tar.gz
Find libtool if it's called glibtool.
Diffstat (limited to 'build')
-rwxr-xr-xbuild/buildcheck.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/build/buildcheck.sh b/build/buildcheck.sh
index 910d645862..0bfe5ddc34 100755
--- a/build/buildcheck.sh
+++ b/build/buildcheck.sh
@@ -16,7 +16,7 @@
# | Sascha Schumann <sascha@schumann.cx> |
# +----------------------------------------------------------------------+
#
-# $Id: buildcheck.sh,v 1.3 2000-08-20 05:39:37 sas Exp $
+# $Id: buildcheck.sh,v 1.4 2001-04-03 19:07:32 wsanchez Exp $
#
echo "buildconf: checking installation..."
@@ -58,7 +58,8 @@ echo "buildconf: automake version $am_version (ok)"
fi
# libtool 1.3.3 or newer
-lt_pversion=`libtool --version 2>/dev/null|sed -e 's/^[^0-9]*//' -e 's/[- ].*//'`
+if ! libtool=`which glibtool`; then libtool=`which libtool`; fi
+lt_pversion=`$libtool --version 2>/dev/null|sed -e 's/^[^0-9]*//' -e 's/[- ].*//'`
if test "$lt_pversion" = ""; then
echo "buildconf: libtool not found."
echo " You need libtool version 1.3 or newer installed"